### Function

# RB uri_get_dir_name

#### Declaration [src]

    char*
    rb_uri_get_dir_name (
      const char* uri
    )

#### Description [src]

Returns the directory component of `uri`, that is, everything up to the start of the filename.

#### Parameters

`uri`

  Type: `const char*`

  A URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

New URI for parent of `uri`, must be freed by caller.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.